com.parse

## Class ParseRelation<T extends ParseObject>

- java.lang.Object
- - com.parse.ParseRelation<T>

    public class ParseRelation<T extends ParseObject>
    extends Object

A class that is used to access all of the children of a many-to-many relationship. Each instance of Parse.Relation is associated with a particular parent object and key.

### Method Summary

Methods
`void` `add(T object)` Adds an object to this relation.
`ParseQuery<T>` `getQuery()` Gets a query that can be used to query the objects in this relation.
`void` `remove(T object)` Removes an object from this relation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### add

    public void add(T object)

Adds an object to this relation.

Parameters:
  `object` - The object to add to this relation.

#### remove

    public void remove(T object)

Removes an object from this relation.

Parameters:
  `object` - The object to remove from this relation.

#### getQuery

    public ParseQuery<T> getQuery()

Gets a query that can be used to query the objects in this relation.

Returns:
  A ParseQuery that restricts the results to objects in this relations.